package com.fs.starfarer.api.impl.campaign.rulecmd;

import kaysaar.aotd_question_of_loyalty.data.models.RetirementInfo;
import java.awt.Color;
import com.fs.starfarer.api.campaign.rules.MemoryAPI;
import java.util.Map;
import com.fs.starfarer.api.util.Misc;
import java.util.List;
import com.fs.starfarer.api.campaign.InteractionDialogAPI;

public class AoTDCreateInsultForLeaving extends BaseCommandPlugin
{
    public boolean execute(final String ruleId, final InteractionDialogAPI dialog, final List<Misc.Token> params, final Map<String, MemoryAPI> memoryMap) {
        dialog.getTextPanel().addPara("\"Consequences, %s, Consequences\"", Misc.getNegativeHighlightColor(), Color.ORANGE, new String[] { RetirementInfo.getInstance().getRankData().name });
        dialog.getTextPanel().addPara("The officer looks up directly into the camera.");
        dialog.getTextPanel().addPara("\"你早料到这一刻会来吧？现在，该死的叛徒——该你付出代价了。\"", Misc.getNegativeHighlightColor());
        dialog.getTextPanel().addPara("\"某些大人物希望你消失——而我就是其中之一。俗话说得好，求人不如求己。希望我们的管理层能从你的下场中学到点东西。\"");
        dialog.getTextPanel().addPara("\"Nothing personal,%s, or maybe a bit.\"", Color.ORANGE, new String[] { RetirementInfo.getInstance().getRankData().name });
        dialog.getTextPanel().addPara("The officer laughs.");
        dialog.getTextPanel().addPara("\"Or maybe a bit more ! Now squirm in anxiousness witnessing your fleet dismantled before your very eyes ! I shall feast my eyes upon your disfigured corpse, if I cannot put a bullet through that wretched head myself ! Good luck, %s .\"", Color.ORANGE, new String[] { RetirementInfo.getInstance().getRankData().name });
        dialog.getTextPanel().addPara("The feed goes back to static as the officer's raucous laughter echoes in your head.");
        return false;
    }
}
